Skip to main content
POST
/
preview
/
retail-media
/
catalog
/
merchants
/
{merchantId}
/
store-inventory
/
upsert
/preview/retail-media/catalog/merchants/{merchantId}/store-inventory/upsert
curl --request POST \
  --url https://api.criteo.com/preview/retail-media/catalog/merchants/{merchantId}/store-inventory/upsert \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "attributes": {
        "batchId": "<string>",
        "price": "<string>",
        "productId": "<string>",
        "storeId": "<string>",
        "salePrice": "<string>"
      },
      "type": "Upsert"
    }
  ]
}
'

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

merchantId
string
required

Identifies the merchant, can also be called partnerId

Body

application/json

Batch to be stored in Store inventories

data
object[]
required

Response

204 - application/json

Batch accepted.